=begin JA

= ϵ¸

# * ⶶ ˧ (yot), ݹ (takepiro)
#   * $Id: exp-Earth.rd,v 1.16 2014-02-04 10:29:04 yot Exp $

=end JA
=begin EN

= Experiment for the Earth

# * Yoshiyuki O. Takahashi (yot), Shin-ichi Takehiro (takepiro)
#   * $Id: exp-Earth.rd,v 1.16 2014-02-04 10:29:04 yot Exp $

=end EN


=begin JA

ϵμ¸Ԥˡޤ. 

η׻ˤϰʲʪѤƤޤ. 

  *  (ϵ絤)
  * ľȻ (Mellor and Yamada, 1974, ٥ 2) 
  * ѱѥ᥿ꥼ: Relaxed Arakawa-Schubert  (Moorthi and Suarez, 1992) 
  * Ƿ絬϶ŷ 
  * ήĴ
  * Хĥǥ

=end JA
=begin EN

A method to perform an experiment for the Earth is described. 

Following physical processes are used in this experiment.

  * Radiation (model for the Earth's atmosphere) 
  * Vertical diffusion (Mellor and Yamada, 1974, level 2) 
  * Cumulus parameterization: Relaxed Arakawa-Schubert scheme (Moorthi and Suarez, 1992) 
  * Large scale condensation
  * Dry convective adjustment
  * Bucket model

=end EN


=begin JA
== 

ܼ¸Ǥ, ɽ̲, , ɽ̩, ʬۤΥǡɬפǤ. ä, 
¸μ¹Ԥϰʲ 4 ĤΥƥåפǹԤޤ.

  * ¸ǥ쥯ȥν
  * ͤν
  * ¸ѥǡν
  * ¸μ¹

=end JA
=begin EN
== Overview

This experiment requires data of distribution of sea surface temperature, surface properties, sea ice density, and ozone. 
So, the experiment is performed with the following 4 steps:

  * Preparation of directory for experiments
  * Preparation of initial condition
  * Preparation of additional data for experiments
  * Execution of experiments

=end EN

=begin JA

== ¸ѥǥ쥯ȥ

dcpam5 οͼ¸ϥĥ꡼ǤϹԤ鷺
ĥ꡼Ȥ̤γǥ쥯ȥˤƹԤȤ侩ޤ. 

ޤ dcpam5 Υȥåץǥ쥯ȥ(ʲǤ dcpam5-YYYYMMDD Ȥ)˰ưƤ. 
ʲǤ dcpam5 ǥ쥯ȥ٤ ../dcpma5-exp/Earth-exp ǥ쥯ȥ, Ǽ¸ԤȤˤޤ. 
Τ褦  ../dcpam5-exp/Earth-exp ǥ쥯ȥ, 
ưƤ. 

  $ mkdir -p ../dcpam5-exp/Earth-exp
  $ cd ../dcpam5-exp/Earth-exp

, Υǥ쥯ȥ˼¹ԥեե֤ޤ. 

  $ mkdir bin
  $ mkdir conf

Ǹ˺ǥ쥯ȥ˼¹ԥեե򥳥ԡޤ. 

  $ cp ../../dcpam5-YYYYMMDD/src/main/dcpam_main bin
  $ cp ../../dcpam5-YYYYMMDD/src/main/dcpam_init_data  bin
  $ cp ../../dcpam5-YYYYMMDD/src/main/dcpam_init_data_surface  bin
  $ cp ../../dcpam5-YYYYMMDD/exp_setup_files/*.conf conf

ʤ, ¹ԥեե (NAMELIST ե) , ɤΥǥ쥯ȥˤƤ׻ԤȤǤޤ. 

== ͥǡեκ

dcpam_init_data  init_data_E_T42L22.conf, 
 dcpam_init_data_surface  surface_data_E_T42.conf 
Ѥƽͥե init_T42L22.nc  surface_T42.nc ޤ. 

ޤ dcpam_init_data 絤ѿνͤޤ. 

  $ ./bin/dcpam_init_data -N=./conf/init_data_E_T42L22.conf

   *** MESSAGE [init_data] ***  Run: Initial data generation
   *** MESSAGE [init_data] ***  -- version = $Name: dcpam5-20140218 $$Id: exp-Earth.rd,v 1.16 2014-02-04 10:29:04 yot Exp $
   *** MESSAGE [namelist_util] ***  ----- Initialization Messages -----
   *** MESSAGE [namelist_util] ***    MaxNmlArySize = 256
   *** MESSAGE [namelist_util] ***  -- version = $Name: dcpam5-20140218 $$Id: exp-Earth.rd,v 1.16 2014-02-04 10:29:04 yot Exp $
   *** MESSAGE [timeset] ***  NAMELIST group "timeset_nml" is loaded from "./conf/init_data_E_T42L22.conf".
                         : 
   *** MESSAGE [initial_data] ***    Ueq     = 0.
   *** MESSAGE [initial_data] ***
   *** MESSAGE [initial_data] ***  -- version = $Name: dcpam5-20140218 $$Id: exp-Earth.rd,v 1.16 2014-02-04 10:29:04 yot Exp $
   *** MESSAGE [HistoryClose] ***  "init_T42L22.nc" is closed
  
   ############## CPU TIME SUMMARY ################
   others                 0.120000E-01
   ------------------------------------------------
          TOTAL TIME =    0.120000E-01

 dcpam_init_data_surface ɽ̤ѿνͤޤ. 

  $ ./bin/dcpam_init_data_surface -N=./conf/surface_data_E_T42.conf

   *** MESSAGE [sst_data] ***  Run: SST data generation
   *** MESSAGE [sst_data] ***  -- version = $Name: dcpam5-20140218 $$Id: exp-Earth.rd,v 1.16 2014-02-04 10:29:04 yot Exp $
   *** MESSAGE [namelist_util] ***  ----- Initialization Messages -----
   *** MESSAGE [namelist_util] ***    MaxNmlArySize = 256
   *** MESSAGE [namelist_util] ***  -- version = $Name: dcpam5-20140218 $$Id: exp-Earth.rd,v 1.16 2014-02-04 10:29:04 yot Exp $
   *** MESSAGE [timeset] ***  NAMELIST group "timeset_nml" is loaded from "surface_data_E_T42.conf".
   &TIMESET_NML CAL_TYPE=noleap                          ,MONTH_IN_YEAR=-1,DAY_IN_MONTH=-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,
                         : 
   *** MESSAGE [HistoryCreate1] ***  "surface_T42.nc" is created (origin=0. [day])
   *** MESSAGE [HistoryClose] ***  "surface_T42.nc" is closed

   ############## CPU TIME SUMMARY ################
   others                 0.800000E-02
   ------------------------------------------------
          TOTAL TIME =    0.800000E-02


== ¸ѥǡν

¸ѥǡȤ, ɽ̲, , ɽ̩, ʬۤΥǡ
ʲѰդƤޤ. 

  * ((<ץǡ|URL:http://www.gfd-dennou.org/library/dcpam/sample/2013-02-26_tutorial/Earth/>))

嵭Υڡ "sst_amipII_bc_clim_T042.nc", "sp_for_Earth_T042.nc", "sic_amipII_bc_clim_T042.nc", "O3_CMIP5_climatology_zonalmean_T042.nc" ɤ, ¸Ԥǥ쥯ȥ֤Ƥ. 

== ¸μ¹

Ǹ dcpam_main, dcpam_E_T42L22.nml ѤƼ¸»ܤޤ. 
 T42L22, ֥ƥå 12 ʬ 2 ʬ׻Ԥޤ. 
ꥹȥǡ, ɽ̥ꥹȥǡȤĤΥҥȥǡ
ե뤬Ϥޤ. 

  $ ./bin/dcpam_main -N=./conf/dcpam_E_T42L22.conf | tee Earth.log

ͥǡ, ɽ̥ǡ, ¸ѹˤ,
嵭μ¹Ԥ˺ݤ conf ǥ쥯ȥ init_data_E_T42L22.conf, 
dcpam_E_T42L22.conf ѹƤ. 

== ̤βĻ벽

2 ˤ벹٤ʿʬۤϰʲοޤΤ褦ˤʤޤ.
, ɤΥСΰ㤤ˤä, ޤɬⲼοޤƱˤϤʤʤ⤷ޤ.

((<"IMG:images/earth_irb_temp_meanlon_time02day.png">))

οޤ, ((<Gphys|URL:http://www.gfd-dennou.org/library/ruby/products/gphys/>)) 
Ѥ,  νˤä褷Ƥޤ. 

  ޤ irb ư. 

  $ irb

  ʲΤ褦 irb ΥץץȤɽޤ.

  irb(main):001:0>

  ΥץץȤ, ʲΤ褦˥ޥɤǤޤ.
  üοϹֹ, ǤɬפϤޤ.

  1: require "numru/ggraph"
  2: include NumRu
  3: gphys = GPhys::IO.open('Temp.nc', 'Temp')
  4: DCL.gropn(1)
  5: DCL.sgpset('lcntl', false) ; DCL.uzfact(0.7)
  6: GGraph.set_fig( 'itr'=> 2 )
  7: GGraph.tone( gphys.mean('lon').cut('time'=>2) )
  8: GGraph.color_bar
  9: DCL.grcls

  irb ΥץץȤˤ quit ǤĤ irb λ뤳ȤǤޤ. 

η׻ѤƤͤŻ絤Ǥ. 
ϵ絤, 2 ֤ǤϽ֤ˤãޤΤ, 嵭οޤϥԥ󥢥åξ֤ɽƤޤ. 

ޤ, ϡĻ벽Τ⤦ܤˡˤĤƤ((<|URL:./visualization.htm>))򻲾ȤƤ. 

=end JA

=begin EN

== Preparation of a directory for an experiment

Let us move to the top directory of dcpam5 src tree
(assuming dcpam5-YYYYMMDD in the following example). 
Here, we perform an experiment in ../dcpam5-exp/Earth-exp directory. 
Please create the directory and enter there as follows: 

  $ mkdir -p ../dcpam5-exp/Earth-exp
  $ cd ../dcpam5-exp/Earth-exp

Then, pleaase create the directories for executable files and configuration
files as follows:

  $ mkdir bin
  $ mkdir conf

Finally, executable files and configuration files are copied as follows: 

  $ cp ../../dcpam5-YYYYMMDD/src/main/dcpam_main bin
  $ cp ../../dcpam5-YYYYMMDD/src/main/dcpam_init_data  bin
  $ cp ../../dcpam5-YYYYMMDD/src/main/dcpam_init_data_surface  bin
  $ cp ../../dcpam5-YYYYMMDD/exp_setup_files/*.conf conf

Here, we perform an experiment in practice/Earth-exp directory. 
Please create the directory and enter there as follows: 

  $ cd practice
  $ mkdir Earth-exp
  $ cd Earth-exp

Note that you can perform an experiment in any directory by using executable files and configuration (NAMELIST) files.

== Preparation of initial data

Create initial data file "init_T42L22.nc"
using "bin/dcpam_init_data", "conf/init_data_E_T42L22.conf" 
and "bin/dcpam_init_data_surface", "conf/surface_data_E_T42.conf"

  $ ./bin/dcpam_init_data -N=./conf/init_data_E_T42L22.conf

   *** MESSAGE [init_data] ***  Run: Initial data generation
   *** MESSAGE [init_data] ***  -- version = $Name: dcpam5-20140218 $$Id: exp-Earth.rd,v 1.16 2014-02-04 10:29:04 yot Exp $
   *** MESSAGE [namelist_util] ***  ----- Initialization Messages -----
   *** MESSAGE [namelist_util] ***    MaxNmlArySize = 256
   *** MESSAGE [namelist_util] ***  -- version = $Name: dcpam5-20140218 $$Id: exp-Earth.rd,v 1.16 2014-02-04 10:29:04 yot Exp $
   *** MESSAGE [timeset] ***  NAMELIST group "timeset_nml" is loaded from "./connf/init_data_E_T42L22.conf".
                         : 
   *** MESSAGE [initial_data] ***    Ueq     = 0.
   *** MESSAGE [initial_data] ***
   *** MESSAGE [initial_data] ***  -- version = $Name: dcpam5-20140218 $$Id: exp-Earth.rd,v 1.16 2014-02-04 10:29:04 yot Exp $
   *** MESSAGE [HistoryClose] ***  "init_T42L22.nc" is closed
  
   ############## CPU TIME SUMMARY ################
   others                 0.120000E-01
   ------------------------------------------------
          TOTAL TIME =    0.120000E-01


  $ ./bin/dcpam_init_data_surface -N=./conf/surface_data_E_T42.conf

 *** MESSAGE [sst_data] ***  Run: SST data generation
 *** MESSAGE [sst_data] ***  -- version = $Name: dcpam5-20140218 $$Id: exp-Earth.rd,v 1.16 2014-02-04 10:29:04 yot Exp $
 *** MESSAGE [namelist_util] ***  ----- Initialization Messages -----
 *** MESSAGE [namelist_util] ***    MaxNmlArySize = 256
 *** MESSAGE [namelist_util] ***  -- version = $Name: dcpam5-20140218 $$Id: exp-Earth.rd,v 1.16 2014-02-04 10:29:04 yot Exp $
 *** MESSAGE [timeset] ***  NAMELIST group "timeset_nml" is loaded from "surface_data_E_T42.conf".
 &TIMESET_NML CAL_TYPE=noleap                          ,MONTH_IN_YEAR=-1,DAY_IN_MONTH=-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,
                         : 
 *** MESSAGE [HistoryCreate1] ***  "surface_T42.nc" is created (origin=0. [day])
 *** MESSAGE [HistoryClose] ***  "surface_T42.nc" is closed

 ############## CPU TIME SUMMARY ################
 others                 0.800000E-02
 ------------------------------------------------
        TOTAL TIME =    0.800000E-02

== Preparation of additional data

This experiment requires additional data, sea surface temperature, surface properties, sea ice density, and ozone distribution. 
Those data are prepared at following site.

  * ((<sample data|URL:http://www.gfd-dennou.org/library/dcpam/sample/2011-02-19_tutorial/Earth/>))

Please download "sst_amipII_bc_clim_T042.nc", "sp_for_Earth_T042.nc", "sic_amipII_bc_clim_T042.nc", and "O3_CMIP5_climatology_zonalmean_T042.nc" from above site, and place those files at experimental directory. 


== Run the experiment

At the last, run a experiment using 
"dcpam_main" and "dcpam_E_T42L22.conf". 
Resolution is T42L22, time step is 12 minutes.
Integration time is 2 days. 
A restart data file, a restart data file of surface data,
and some history data files are output. 

  $ ./bin/dcpam_main -N=./conf/dcpam_E_T42L22.conf | tee Earth.log

If initial data, surface data, settings of experiments want to be
changed, edit "init_data_T42L22.conf", 
"dcpam_E_T42L22.conf" in "conf" directory. 


== Visualization of result

Zonal mean temperature distribution after integration for 2 days is shown below. 
It should be noted that the figure you draw may not be the same as that shown here because of difference in model version. 

((<"IMG:images/earth_irb_temp_meanlon_time02day.png">))

This figure is drawn by using ((<Gphys|URL:http://www.gfd-dennou.org/library/ruby/products/gphys/>)), as follows: 

  Please type irb. 

  $ irb

  Following prompt of irb is shown. 

  irb(main):001:0>

  Type following lines. Please note that the left-most number is line number, and it has not been typed. 

  1: require "numru/ggraph"
  2: include NumRu
  3: gphys = GPhys::IO.open('Temp.nc', 'Temp')
  4: DCL.gropn(1)
  5: DCL.sgpset('lcntl', false) ; DCL.uzfact(0.7)
  6: GGraph.set_fig( 'itr'=> 2 )
  7: GGraph.tone( gphys.mean('lon').cut('time'=>2) )
  8: GGraph.color_bar
  9: DCL.grcls

  Type quit to exit irb. 

Above figure shows spin-up phase of the atmosphere, because the Earth's atmosphere 
does not reach quasi-equilibrium in 2 days. 


=end EN

=begin JA
== Ǹ
¸ǥ쥯ȥ˺줿׻̤¸Ƥˤ
ǡѥǥ쥯ȥ(㤨 data01), 
եưƤޤ礦. 

  $ mkdir data01
  $ mv *.nc *.log data01/

ʤ, ׻̤׻¹Ի˥֥ǥ쥯ȥؽϤ뤳ȤǽǤ. 
((<¸ѹ|URL:./changesetup.htm>))νѹ򻲾Ȥ, 
NAMELIST "&gtool_historyauto_nml" ѿ "FilePrefix" ˤƤߤƲ. 
=end JA

=begin EN
== Final remark
If you would like to keep the results of the numerical experiment, 
please create a sub directory ("data01" for example), move the files, 
and keep the current directory neatly. 

  $ mkdir data01
  $ mv *.nc *.log data01/

You can output the results of the numerical experimet concurrently with the
execution. Please refer to "Change output settings" 
in ((<Change experimental setup|URL:./changesetup.htm.en>)) 
and try to configure "FilePrefix" variable in NAMELIST "&gtool_historyauto_nml". 

=end EN

=begin JA
== ʸ
=end JA

=begin EN
== References
=end EN

=begin

#* Manabe, S., J. Smagorinsky, and R. F. Strickler, 1965: 
#  Simulated climatology of a general circulation model with a
#  hydrologic cycle,
#  ((|Mon. Wea. Rev.|)), ((*93*)), 769--798.

* ((<Mellor, G. L., and T. Yamada, 1974: 
  A hierarchy of turbulence closure models for planetary
  boundary layers,
  ((|J. Atmos. Sci.|)), ((*31*)), 1791--1806.
  |URL:http://journals.ametsoc.org/doi/abs/10.1175/1520-0469%281974%29031%3C1791%3AAHOTCM%3E2.0.CO%3B2>))

* ((<Moorthi, S., and M. J. Suarez, 1992:
  Relaxed Arakawa-Schubert: A parameterization of moist convection for 
  general circulation models, 
  ((|Mon. Wea. Rev.|)), ((*120*)), 978--1002.
  |URL:http://journals.ametsoc.org/doi/abs/10.1175/1520-0493%281992%29120%3C0978%3ARASAPO%3E2.0.CO%3B2>))
=end

=begin HTML
<hr />
<small>
  $Id: exp-Earth.rd,v 1.16 2014-02-04 10:29:04 yot Exp $
</small>
=end HTML

